FROM registry.gitlab.com/c8160/ansible:latest

RUN dnf install --setopt install_weak_deps=False -y yamllint nodejs-npm python3-ansible-lint git-core && \
    rm -rf /var/cache/dnf
RUN npm install --omit optional --prefer-dedupe --no-fund \
    -g @ansible/ansible-language-server && \
    rm -rf /root/.npm

ENTRYPOINT [ "/usr/local/bin/ansible-language-server" ]
